# -*- coding: utf-8 -*-
from django.contrib import admin
from coin.members.models import Member, CryptoKey, LdapUser, MembershipFee
from django import forms
import pprint
import autocomplete_light

# class LdapUserAdmin(admin.ModelAdmin):
#    exclude = ['dn']
#    list_display = ['uid','first_name', 'last_name']
#    search_fields = ['first_name', 'last_name']
    
    #TODO : Déplacer dans LdapUser model (pre_save ?)
    #def save_model(self, request, obj, form, change):
        

class CryptoKeyInline(admin.StackedInline):
    model = CryptoKey
    extra = 0

class MemberAdminForm(forms.ModelForm):
    # password = forms.CharField(widget=forms.PasswordInput(), required=False)
    
    def clean(self):
        cleaned_data = super(MemberAdminForm, self).clean()
        pprint.pprint(cleaned_data)
        return cleaned_data

    class Meta:
        model = Member

class MemberAdmin(admin.ModelAdmin):
    list_display = ('id', 'first_name', 'last_name','email')
    list_display_links = ('id', 'first_name', 'last_name')
    search_fields = ['first_name','last_name','email']
    
    form = MemberAdminForm
    inlines = [CryptoKeyInline]

class MembershipFeeAdmin(admin.ModelAdmin):
    list_display = ('member', 'date', 'amount')
    form = autocomplete_light.modelform_factory(MembershipFee)

admin.site.register(Member, MemberAdmin)
admin.site.register(MembershipFee, MembershipFeeAdmin)
# admin.site.register(LdapUser, LdapUserAdmin)
